Page MenuHomePhabricator

Traffic Server packaging and initial puppetization
Closed, ResolvedPublic

Description

In the context of T199720, this task tracks basic infra software support for Traffic Server:

Event Timeline

ema triaged this task as Medium priority.Jul 23 2018, 8:21 AM
ema created this task.
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptJul 23 2018, 8:21 AM

Change 447077 had a related patch set uploaded (by Ema; owner: Ema):
[integration/config@master] Enable debian-glue for trafficserver

https://gerrit.wikimedia.org/r/447077

Change 447074 had a related patch set uploaded (by Ema; owner: Ema):
[operations/debs/trafficserver@master] Initial WMF packaging

https://gerrit.wikimedia.org/r/447074

Change 447077 merged by jenkins-bot:
[integration/config@master] Enable debian-glue for trafficserver

https://gerrit.wikimedia.org/r/447077

ema added a comment.Jul 23 2018, 10:07 AM

CI tests were failing due to CI slaves being jessie and thus running with an old pristine-tar version, made incompatible with more recent ones due to the choice of using xdelta3 instead of xdelta to generate pristine-tar data:

pristine-tar: delta is version 3, newer than maximum supported version 2

As a workaround, I've re-imported the original tarball passing PRISTINE_ALL_XDELTA=xdelta and updated the upstream and pristine-tar branches:

PRISTINE_ALL_XDELTA=xdelta gbp import-orig --pristine-tar ../trafficserver_7.1.3+ds.orig.tar.xz
ema moved this task from Triage to Caching on the Traffic board.Jul 23 2018, 10:37 AM

Change 447074 merged by Ema:
[operations/debs/trafficserver@master] Initial WMF packaging

https://gerrit.wikimedia.org/r/447074

Mentioned in SAL (#wikimedia-operations) [2018-07-23T13:44:33Z] <ema> !log trafficserver 7.1.3+ds-4wm1 uploaded to stretch-wikimedia T200178

ema updated the task description. (Show Details)Jul 23 2018, 1:45 PM

Change 450203 had a related patch set uploaded (by Ema; owner: Ema):
[operations/debs/trafficserver@master] 7.1.3+ds-4wm2: do not start the service on install or upgrade

https://gerrit.wikimedia.org/r/450203

Change 450204 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] trafficserver: initial module/profile/role

https://gerrit.wikimedia.org/r/450204

Change 450203 merged by Ema:
[operations/debs/trafficserver@master] 7.1.3+ds-4wm2: do not start the service on install or upgrade

https://gerrit.wikimedia.org/r/450203

Mentioned in SAL (#wikimedia-operations) [2018-08-03T12:51:45Z] <ema> trafficserver 7.1.3+ds-4wm2 uploaded to stretch-wikimedia T200178

Change 450204 merged by Ema:
[operations/puppet@production] trafficserver: initial module/profile/role

https://gerrit.wikimedia.org/r/450204

ema closed this task as Resolved.Aug 9 2018, 8:27 AM
ema updated the task description. (Show Details)

Change 458201 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] ATS: ship service file as a systemd override

https://gerrit.wikimedia.org/r/458201

Change 458201 merged by Ema:
[operations/puppet@production] ATS: ship service file as a systemd override

https://gerrit.wikimedia.org/r/458201

Change 469403 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] ATS: remove trafficserver.systemd.erb

https://gerrit.wikimedia.org/r/469403

Change 469403 merged by Ema:
[operations/puppet@production] ATS: remove trafficserver.systemd.erb

https://gerrit.wikimedia.org/r/469403

hashar added a subscriber: hashar.Nov 29 2019, 10:12 PM

CI tests were failing due to CI slaves being jessie and thus running with an old pristine-tar version, made incompatible with more recent ones due to the choice of using xdelta3 instead of xdelta to generate pristine-tar data:

pristine-tar: delta is version 3, newer than maximum supported version 2

As a workaround, I've re-imported the original tarball passing PRISTINE_ALL_XDELTA=xdelta and updated the upstream and pristine-tar branches:

PRISTINE_ALL_XDELTA=xdelta gbp import-orig --pristine-tar ../trafficserver_7.1.3+ds.orig.tar.xz

That is because the debian glue jobs are running on Jessie instances. They have pristine-tar 1.33. Whenever we upgrade those instances to stretch or buster I guess the issue will be gone ;)

pristine-tar: delta is version 3, newer than maximum supported version 2

@ema the CI debian-glue jobs are now running on Buster instances and thus come with a version of pristine-tar that supports delta version 3.